Blue Guardrails

Resolve Report References

Resolve report UUIDs against entities visible in the current workspace.

POST
/v1/optimization-report-references/resolve

Header Parameters

x-workspace-id?|

Workspace UUID for session-authenticated calls.

Request Body

application/json

ids*array<>
Itemsitems <= 100
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://loading/v1/optimization-report-references/resolve" \  -H "Content-Type: application/json" \  -d '{    "ids": [      "497f6eca-6276-4993-bfeb-53cbbbba6f08"    ]  }'
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "type": "conversation",
      "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407"
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}